package com.kcim.service;

import com.kcim.dao.model.DiseaseType;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @program: CostAccount
 * @description: 病种管理接口
 * @author: Wang.YS
 * @create: 2023-11-07 17:08
 **/
public interface DiseaseTypeService {
    Object getDiseaseTypeList(Integer current, Integer pageSize, String name);

    void addDiseaseType(DiseaseType request);

    void editDiseaseType(DiseaseType request);

    void deleteDiseaseType(Integer id);

    Object exportDiseaseType(HttpServletResponse response);

    void importDiseaseType(MultipartFile file);
}
